package com.ssj.service.conch.teacher.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
public class SearchCourseReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "vipId", value = "作业吧学员卡id", required = true)
    private String  vipId;
    
    @ApiModelProperty(name = "libId", value = "图书馆Id", required = true)
    private String  libId="SSJ";
    
    @ApiModelProperty(name = "courseId", value = "课程ID", required = true)
    private String  courseId;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String  grade;
    
    @ApiModelProperty(name = "courseName", value = "课程名称", required = false)
    private String  courseName;
    
    @ApiModelProperty(name = "banben", value = "所在版本", required = false)
    private String  banben="2";
    
	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getBanben() {
		return banben;
	}

	public void setBanben(String banben) {
		this.banben = banben;
	}

	
}
